/**  版本信息模板在安装目录下，可自行修改。
* T_IntegratedScheduling_Detail.cs
*
* 功 能： N/A
* 类 名： T_IntegratedScheduling_Detail
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/10/19 11:12:11   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_IntegratedScheduling_Detail
	/// </summary>
	public partial class T_IntegratedScheduling_Detail
	{
		public T_IntegratedScheduling_Detail()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_DetailId", "T_IntegratedScheduling_Detail"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_DetailId)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_IntegratedScheduling_Detail");
			strSql.Append(" where F_DetailId=@F_DetailId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_DetailId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_DetailId;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_IntegratedScheduling_Detail(");
			strSql.Append("F_WorkOrderCode,F_DicId,F_DicName,F_Number,F_UpdateTime,F_CreateTime,F_IsDelete)");
			strSql.Append(" values (");
			strSql.Append("@F_WorkOrderCode,@F_DicId,@F_DicName,@F_Number,@F_UpdateTime,@F_CreateTime,@F_IsDelete)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DicId", SqlDbType.Int,4),
					new SqlParameter("@F_DicName", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Number", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_DicId;
			parameters[2].Value = model.F_DicName;
			parameters[3].Value = model.F_Number;
			parameters[4].Value = model.F_UpdateTime;
			parameters[5].Value = model.F_CreateTime;
			parameters[6].Value = model.F_IsDelete;

			object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_IntegratedScheduling_Detail set ");
			strSql.Append("F_WorkOrderCode=@F_WorkOrderCode,");
			strSql.Append("F_DicId=@F_DicId,");
			strSql.Append("F_DicName=@F_DicName,");
			strSql.Append("F_Number=@F_Number,");
			strSql.Append("F_UpdateTime=@F_UpdateTime,");
			strSql.Append("F_CreateTime=@F_CreateTime,");
			strSql.Append("F_IsDelete=@F_IsDelete");
			strSql.Append(" where F_DetailId=@F_DetailId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_DicId", SqlDbType.Int,4),
					new SqlParameter("@F_DicName", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Number", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_DetailId", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_DicId;
			parameters[2].Value = model.F_DicName;
			parameters[3].Value = model.F_Number;
			parameters[4].Value = model.F_UpdateTime;
			parameters[5].Value = model.F_CreateTime;
			parameters[6].Value = model.F_IsDelete;
			parameters[7].Value = model.F_DetailId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_DetailId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_IntegratedScheduling_Detail ");
			strSql.Append(" where F_DetailId=@F_DetailId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_DetailId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_DetailId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_DetailIdlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_IntegratedScheduling_Detail ");
			strSql.Append(" where F_DetailId in ("+F_DetailIdlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail GetModel(int F_DetailId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_DetailId,F_WorkOrderCode,F_DicId,F_DicName,F_Number,F_UpdateTime,F_CreateTime,F_IsDelete from T_IntegratedScheduling_Detail ");
			strSql.Append(" where F_DetailId=@F_DetailId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_DetailId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_DetailId;

			RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail model=new RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail model=new RMYY_CallCenter_Api.Model.T_IntegratedScheduling_Detail();
			if (row != null)
			{
				if(row["F_DetailId"]!=null && row["F_DetailId"].ToString()!="")
				{
					model.F_DetailId=int.Parse(row["F_DetailId"].ToString());
				}
				if(row["F_WorkOrderCode"]!=null)
				{
					model.F_WorkOrderCode=row["F_WorkOrderCode"].ToString();
				}
				if(row["F_DicId"]!=null && row["F_DicId"].ToString()!="")
				{
					model.F_DicId=int.Parse(row["F_DicId"].ToString());
				}
				if(row["F_DicName"]!=null)
				{
					model.F_DicName=row["F_DicName"].ToString();
				}
				if(row["F_Number"]!=null && row["F_Number"].ToString()!="")
				{
					model.F_Number=int.Parse(row["F_Number"].ToString());
				}
				if(row["F_UpdateTime"]!=null && row["F_UpdateTime"].ToString()!="")
				{
					model.F_UpdateTime=DateTime.Parse(row["F_UpdateTime"].ToString());
				}
				if(row["F_CreateTime"]!=null && row["F_CreateTime"].ToString()!="")
				{
					model.F_CreateTime=DateTime.Parse(row["F_CreateTime"].ToString());
				}
				if(row["F_IsDelete"]!=null && row["F_IsDelete"].ToString()!="")
				{
					model.F_IsDelete=int.Parse(row["F_IsDelete"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_DetailId,F_WorkOrderCode,F_DicId,F_DicName,F_Number,F_UpdateTime,F_CreateTime,F_IsDelete ");
			strSql.Append(" FROM T_IntegratedScheduling_Detail ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_DetailId,F_WorkOrderCode,F_DicId,F_DicName,F_Number,F_UpdateTime,F_CreateTime,F_IsDelete ");
			strSql.Append(" FROM T_IntegratedScheduling_Detail ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_IntegratedScheduling_Detail ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_DetailId desc");
			}
			strSql.Append(")AS Row, T.*  from T_IntegratedScheduling_Detail T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

	

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

